/*
 * Copyright 2005 Toshiyuki Maeda
 *
 * This file is part of TOS.
 *
 * TOS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * TOS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __KERNEL_H__
#define __KERNEL_H__

#define STACK_SIZE	0x1000

#define KERNEL_OFFSET	0xc0000000

#define KERNEL_CS_ENTRY	8
#define KERNEL_DS_ENTRY	9

#define KERNEL_CS	(KERNEL_CS_ENTRY * 8)
#define KERNEL_DS	(KERNEL_DS_ENTRY * 8)

#define GDT_ENTRIES	16

#define PAGE_SHIFT	12
#define PAGE_SIZE	4096

#define PHYS(va)	((va) - KERNEL_OFFSET)

#endif /* __KERNEL_H__ */
